import { Comparator } from "../util/Comparator";
/**
 * A `Map` that further provides a total ordering on its keys. The map is ordered according to the natural
 * ordering of its keys, or by a `Comparator` typically provided at sorted map creation time.
 */
export interface SortedMap<K, V> extends Map<K, V> {
    /** Returns the comparator used to order the keys in this map */
    get comparator(): Comparator<K>;
    /** Returns the first (lowest) key currently in this map */
    firstKey(): K | undefined;
    /** Returns a view of the portion of this map whose keys are strictly less than `toKey` */
    /** Gets the keys of this tree as a `Set` collection */
    keySet(): Set<K>;
    /** Returns the last (highest) key currently in this map */
    lastKey(): K | undefined;
}
